# toshl_api
No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This Python package is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.2
- Package version: 1.0.2
- Build package: io.swagger.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on Github, you can install directly from Github

```sh
pip install git+https://github.com//.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com//.git`)

Then import the package:
```python
import toshl_swagger_client 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import toshl_swagger_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import toshl_swagger_client
from toshl_swagger_client.rest import ApiException
from pprint import pprint

# Configure HTTP basic authorization: auth
configuration = toshl_swagger_client.Configuration()
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# create an instance of the API class
api_instance = toshl_swagger_client.MiscApi(toshl_swagger_client.ApiClient(configuration))
acct_id = 56 # int | Numeric ID of the account to get

try:
    # Account
    api_response = api_instance.account(acct_id)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling MiscApi->account: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *https://api.toshl.com*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*MiscApi* | [**account**](docs/MiscApi.md#account) | **GET** /accounts/{acctId} | Account
*MiscApi* | [**accounts**](docs/MiscApi.md#accounts) | **GET** /accounts | Accounts
*MiscApi* | [**bank_connection**](docs/MiscApi.md#bank_connection) | **GET** /bank/connections/{id} | Bank Connection
*MiscApi* | [**bank_connections**](docs/MiscApi.md#bank_connections) | **GET** /bank/connections | Bank Connections
*MiscApi* | [**entries**](docs/MiscApi.md#entries) | **GET** /entries | Entries
*MiscApi* | [**me**](docs/MiscApi.md#me) | **GET** /me | Me
*MiscApi* | [**ratelimits**](docs/MiscApi.md#ratelimits) | **GET** /rate-limit | Rate limits


## Documentation For Models

 - [Account](docs/Account.md)
 - [AccountCurrency](docs/AccountCurrency.md)
 - [AccountDailySumMedian](docs/AccountDailySumMedian.md)
 - [Bankconnection](docs/Bankconnection.md)
 - [Me](docs/Me.md)
 - [MeCurrency](docs/MeCurrency.md)
 - [MeLimits](docs/MeLimits.md)
 - [MeMigration](docs/MeMigration.md)
 - [MePro](docs/MePro.md)
 - [MeProPayment](docs/MeProPayment.md)
 - [MeProTrial](docs/MeProTrial.md)


## Documentation For Authorization


## auth

- **Type**: HTTP basic authentication


## Author



